- name: "unmount"
  mount:
    state: "unmounted"
    path: "{{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "copy files to temp"
  shell: "mkdir -p /root{{ item.item.mount_point }}/ && rsync -a {{ item.item.mount_point }}/ /root{{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "shell"
  shell: "ls /root/{{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "remount"
  mount:
    state: "mounted"
    src: "/dev/{{ item.item.vgname }}/{{ item.item.lvname }}"
    fstype: "{{ item.item.fs_type }}"
    path: "{{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "move files to mount"
  shell: "rsync -a /root/{{ item.item.mount_point }}/ {{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "restorecon on path copied to"
  shell: "restorecon -R {{ item.item.mount_point }}"
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

- name: "clean up dir"
  file:
    path: "/root/{{ item.item.mount_point }}"
    state: absent
  loop: "{{ keep_files.results }}"
  when: "item.files | count == 0"

